!set title=Sum and product of 3 II bis
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Gang Xiao
email=xiao@unice.fr
language=en

varcnt=37
prevarcnt=27
postvarcnt=9
replycnt=0
choicecnt=0
conditioncnt=1
feedbackcnt=0
format=html

val1=$imagedir

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

m_options=nofloat fixedgoal
tmp0=!randitem constineq,obvineq

val2=$(tmp0)
tmp0=!randitem trans,addineq

val3=$(tmp0)
m_methods=ineq/rewrite, ineq/simpdeduc, ineq/mulexp, ineq/lincomb,	ineq/$val2, ineq/$val3, ineq/mulineq, ineq/sqrpos
m_minsteps=8
tmp=!trim x,y,z	a,b,c	r,s,t	l,m,n	u,v,w	
val4=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val4

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val4=$(tmp0)
tmp0=!item 1 of $val4

val5=$(tmp0)
tmp0=!item 2 of $val4

val6=$(tmp0)
tmp0=!item 3 of $val4

val7=$(tmp0)
tmp0=!randitem ,=

val8=$(tmp0)
tmp0=!randitem <,<=

val9=$(tmp0)
tmp0=!randitem <,<=

val10=$(tmp0)
tmp0=!randitem >,>=

val11=$(tmp0)
tmp0=!randint 20, 100

val12=$[rint($(tmp0))]
tmp0=!randint 10, 200

val13=$[rint($val12^2/3+$(tmp0))]
tmp0=!randitem integers, rational numbers, real numbers

val14=$(tmp0)
tmp=!trim +,+, ,+,+,$val10,$val13	 +,-, ,-,-,$val10,$val13	 -,+, ,-,+,$val11,-$val13	 -,-, ,+,-,$val11,-$val13	 +,-,-,+,+,$val11,-$val13	 -,+,-,+,-,$val10,$val13	 -,-,-,-,+,$val10,$val13	
val15=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val15

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val15=$(tmp0)
tmp0=!item 1 of $val15

val16=$(tmp0)
tmp0=!item 2 of $val15

val17=$(tmp0)
tmp0=!item 3 of $val15

val18=$(tmp0)
tmp0=!item 4 of $val15

val19=$(tmp0)
tmp0=!item 5 of $val15

val20=$(tmp0)
tmp0=!item 6 of $val15

val21=$(tmp0)
tmp0=!item 7 of $val15

val22=$(tmp0)
val23=$val5 $val16 $val6 $val17 $val7 $val9 $val12
val24=0 $val9 $val5 $val16 $val6 $val17 $val7
val25=$val18$val5*$val6 $val19 $val5*$val7 $val20 $val6*$val7
val26=$val25 $val21 $val22
m_context=$val24	$val23	
m_goal=$val26
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Let 
!insmath $val5, $val6, $val7
$() be three $val14 such that 
!insmath  0 $val9 $val23 
$().	Prove <p><center>	
!insmath $val26
$().	</center>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:postdef
!if $m_newobject != &#36;empty 
tmp0=!exec mathexp cut inequality	$m_newobject

val27=$(tmp0)
tmp0=!item 1 of $val27

val28=$(tmp0)
tmp0=!item 2 of $val27

val29=$(tmp0)
tmp0=!item 3 of $val27

val30=$(tmp0)
!if $val29 issametext $val21 
tmp=!translate ";': to $     $ in $val28-($val25)

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val31=$(tmp0)
tmp=!translate ";': to $     $ in $val30-($val22)

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val32=$(tmp0)
!else
tmp=!translate ";': to $     $ in $val30-($val25)

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val31=$(tmp0)
tmp=!translate ";': to $     $ in $val28-($val22)

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val32=$(tmp0)
tmp0=!translate internal <> to >< in $val29

val29=$(tmp0)
!endif
!endif

!exit

:feedback

!exit

:test

!ifval $val31 issametext 0 and $val32 issametext 0 and $val29 issametext $val21
 condtest1=1
!else
 condtest1=0
!endif
condname1=

!exit

:stat
vsavelist=5,6,7,9,14,21,22,23,25,26
embedcnt=0
